org.eclnt.jsfserver.defaultscreens

## Class Client

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.Client

- All Implemented Interfaces:
    java.io.Serializable

      public class Client
      extends java.lang.Object
      implements java.io.Serializable

  There is one central CLIENTCONFIG component which is always sent to the client side. This CLIENTCONFIG component is referring to definitions that are provided within this class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCountry()`
    `java.lang.String` | `getLanguage()`
    `java.math.BigDecimal` | `getScale()`
    `java.lang.String` | `getTimezone()`
    `java.lang.String` | `getTitle()`
    `static Client` | `instance()` Instance that managed the current client for the current session.
    `void` | `setCountry(java.lang.String country)`
    `void` | `setLanguage(java.lang.String language)`
    `void` | `setScale(java.math.BigDecimal scale)`
    `void` | `setTimezone(java.lang.String timezone)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client()

  - ### Method Detail

    - #### instance

          public static Client instance()

      Instance that managed the current client for the current session.

    - #### getCountry

          public java.lang.String getCountry()

    - #### setCountry

          public void setCountry(java.lang.String country)

    - #### getLanguage

          public java.lang.String getLanguage()

    - #### setLanguage

          public void setLanguage(java.lang.String language)

    - #### getTimezone

          public java.lang.String getTimezone()

    - #### setTimezone

          public void setTimezone(java.lang.String timezone)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getScale

          public java.math.BigDecimal getScale()

    - #### setScale

          public void setScale(java.math.BigDecimal scale)

Copyright © CaptainCasa Gmbh. All Rights Reserved.